
PENGADIAN EMAS - Bug #19808

[iOS & Android][SIT][Cetak Emas] Push notification on transaction status update not tally with the

language setting on M2U

20 February 2024 01:51 PM - Aziz Husein

Status: Closed Start date: 20 February 2024

Priority: Normal Due date:  

Assignee: Aziz Husein % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 1.00 hour

Description

Push notification on transaction status update not tally with the language setting on M2U. Attached the screenshot.

User: uatemas119

Step

Login

Navigate to Emas Dashboard

Create ambil fisik transaction

Update the status via listening api

Expected

Push notification on transaction status update  tally with the language setting on M2U

History

#1 - 21 February 2024 08:48 AM - Yonathan Yonathan

- Assignee changed from Yonathan Yonathan to Aziz Husein

- % Done changed from 0 to 50

PushNotifServiceUtil - RequestID : 6ff8529a-8d50-4416-b4fa-06388639be92 Locale:in

the locale data that passes into BE still "in" need to change to en

#2 - 23 February 2024 10:39 AM - Aziz Husein

- Status changed from New to Assigned

- Assignee changed from Aziz Husein to Wei Sheng Teo

#3 - 23 February 2024 11:34 AM - Wei Sheng Teo

- Assignee changed from Wei Sheng Teo to Aziz Husein

The push notification will follow whatever language is set in the header when calling setOrderStatus. If not provided, it defaults to IN. BE have no way

to get information about the language the user's app is in.

#4 - 27 February 2024 03:01 PM - Aziz Husein

- Status changed from Assigned to Closed
